Subject: bug#27235: [PATCH] gnu: Add openscenegraph.

From: Alex Kost <[email-masked]>
Date: Wed, 07 Jun 2017 12:47:47 +0300

Manolis Ragkousis (2017-06-07 09:29 +0300) wrote:

> Hey Alex,
Hi!

> On 06/06/17 22:59, Alex Kost wrote:
>> [email-masked] (2017-06-04 17:57 +0300) wrote:
>> 
>>> +(define-public openscenegraph
>>> +  (package
>>> +    (name "openscenegraph")
>>> +    (version "3.4.0")
>>> +    (source (origin
>>> +       (method url-fetch)
>>> +       (uri (string-append "http://trac.openscenegraph.org/downloads/developer_releases/"
>>> +                           "OpenSceneGraph-" version ".zip"))
>> 
>> Isn't this version old?  I see 3.5.6 here:
>> 
>>   https://github.com/openscenegraph/OpenSceneGraph/releases
>
> I was following this [1] and chose 3.4.0.
>
> The github release is a developer version and according to [2]: "Our
> developer releases are made more regularily than our stable releases and
> are simply tags of the latest source code under version control.  The
> developer releases do not under any dedicated testing prior to release
> and are meant to be snapshots of the latest development work that is
> going into the next stable release. The versioning for stable release is
> major.minor.patch where the minor release is odd number signifying that
> it's developer release."
>
> For this reason I think we should go with 3.4.0 for now.

Ah, OK, thanks for explaining!  I failed to find this web page :-)

BTW, I see that you also packaged "unshield".  Since unshield and
openscenegraph are the dependencies of "OpenMW", I wonder, is packaging
OpenMW your goal?

> [1] http://www.openscenegraph.org/index.php/download-section/stable-releases
> [2] http://www.openscenegraph.org/index.php/download-section/developer-releases

-- 
Alex